import React from "react";

interface Props {
  children?: React.ReactNode;
  color?: string;
  className?: string;
}

const Badge = (props: Props) => {
  const { children, color, className = "" } = props;

  return (
    <div
      className={`m-2 text-xs inline-flex items-center font-bold leading-sm px-3 py-1 bg-${color}-200 text-${color}-700 rounded-full border ${className}`}
    >
      {children}
    </div>
  );
};

export default Badge;
